- Qt 6.10
- Qt Core
- C++ Classes
- QDynamicPropertyChangeEvent
- Qt 6.10.2 Reference Documentation

# QDynamicPropertyChangeEvent Class

The QDynamicPropertyChangeEvent class contains event parameters for dynamic property change events. More...

Header: | `#include <QDynamicPropertyChangeEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherits: | QEvent

- List of all members, including inherited members
- QDynamicPropertyChangeEvent is part of Event Classes.

## Public Functions

| QDynamicPropertyChangeEvent(const QByteArray &name)
QByteArray | propertyName() const

## Detailed Description

Dynamic property change events are sent to objects when properties are dynamically added, changed or removed using QObject::setProperty().

## Member Function Documentation

### `[explicit]` QDynamicPropertyChangeEvent::QDynamicPropertyChangeEvent(const QByteArray &name)

Constructs a dynamic property change event object with the property name set to name.

### QByteArray QDynamicPropertyChangeEvent::propertyName() const

Returns the name of the dynamic property that was added, changed or removed.

See also QObject::setProperty() and QObject::dynamicPropertyNames().